/**
 * Dessky Security
 * Copyright (C) 2015 Dessky Security - http://dessky.com
 * Released under the GPL - see LICENSE file for details.
 */

function desskyscan_alert_close(id){
    var element = document.getElementById('desskyscan-alert-'+id);
    element.parentNode.removeChild(element);
}

jQuery(document).ready(function($){

    $('.desskyscan-overlay, .desskyscan-modal-close').on('click', function(ev){
        ev.preventDefault();
        $('.desskyscan-overlay').addClass('desskyscan-hidden');
        $('.desskyscan-modal').addClass('desskyscan-hidden');
    });

    if( $('.desskyscan-tabs').length ){
        var hidden_class = 'desskyscan-hidden';
        var active_class = 'desskyscan-tab-active';
        var anchor = location.href.split('#')[1];

        $('.desskyscan-tabs > ul a').on('click', function(e){
            e.preventDefault();

            var button = $(this);
            var container_id = button.data('tabname');
            var container = $('.desskyscan-tab-containers > #desskyscan-'+container_id);

            if( container.length ){
                var current_href = location.href.replace(location.hash, '');
                var new_location_href = current_href + '#' + container_id;
                window.history.pushState( {}, document.title, new_location_href );

                $('.desskyscan-tabs > ul a').removeClass(active_class);
                $('.desskyscan-tab-containers > div').addClass(hidden_class);
                button.addClass(active_class);
                container.removeClass(hidden_class)
            }
        });

        $('.desskyscan-tab-containers > div').addClass(hidden_class);

        if( anchor != undefined ){
            $('.desskyscan-tabs > ul li a').each(function(i, el){
                if( $(el).data('tabname') == anchor ){
                    $(el).trigger('click');
                }
            });
        } else {
            $('.desskyscan-tabs > ul li:first-child a').trigger('click');
        }
    }

});
